from pydantic import Field
from typing import Dict, Any
from datetime import datetime

from api.schemas.base import Base
from api.db.tables.events import EventState, EventStatus


class ListEvent(Base):
    id: int
    name: str = Field(..., max_length=40)
    title: str = Field(..., max_length=64)
    creator_id: int
    created_at: datetime
    schema_: Dict[str, Any] = Field(..., alias="schema")
    state: EventState
    status: EventStatus
